Google Web Toolkit (Beta)
Search this site:

# Class CustomButton.Face

public class CustomButton.Face
extends Object
implements HasHTML, HasText
Represents a button's face. Each face is associated with its own style modifier and, optionally, its own contents html, text, or image.

## Methods

getHTML() | Gets the face's contents as html.
getText() | Gets the face's contents as text.
setHTML(String) | Set the face's contents as html.
setImage(Image) | Set the face's contents as an image.
setText(String) | Sets the face's contents as text.
toString() |

## Method Detail

### getHTML

public String getHTML()
Gets the face's contents as html.

#### Return Value

face's contents as html

### getText

public String getText()
Gets the face's contents as text.

#### Return Value

face's contents as text

### setHTML

public void setHTML(String html)
Set the face's contents as html.

#### Parameters

html
  html to set as face's contents html

### setImage

public final void setImage(Image image)
Set the face's contents as an image.

#### Parameters

image
  image to set as face contents

### setText

public final void setText(String text)
Sets the face's contents as text.

#### Parameters

text
  text to set as face's contents

### toString

public String toString()